KDE 4.7 PyKDE API Reference

- KDE's Python API

# KNS3 Namespace Reference

`from PyKDE4.knewstuff.KNS3 import *`

## Detailed Description

## Class Index

B | DownloadManager (KNS3) | U
Button (KNS3) | DownloadWidget (KNS3) | UploadDialog (KNS3)
D | E |
DownloadDialog (KNS3) | Entry (KNS3) |

## Functions
KAction | standardAction (QString what, SIP_RXOBJ_CON a1, SIP_SLOT_CON () a2, KActionCollection parent, QString name=0)
KAction | standardAction (QString what, QObject receiver, QString slot, KActionCollection parent, QString name=0)
KAction | standardActionUpload (QString what, SIP_RXOBJ_CON a1, SIP_SLOT_CON () a2, KActionCollection parent, QString name=0)
KAction | standardActionUpload (QString what, QObject receiver, QString slot, KActionCollection parent, QString name=0)

## Function Documentation

KAction standardAction | ( | QString | what,
|  | SIP_RXOBJ_CON | a1,
|  | SIP_SLOT_CON () | a2,
|  | KActionCollection | parent,
|  | QString | name=0
| ) |  |  |

Standard action for the Hot New Stuff Download

This action can be used to add KNewStuff support to menus and toolbars.

Parameters:

  | what | text describing what is being downloaded. For consistency, set it to "Get New Foobar...". Examples: "Get New Wallpapers...", "Get New Emoticons..."
  | receiver | the QObject to connect the triggered(bool) signal to.
  | slot | the slot to connect the triggered(bool) signal to.
  | parent | the action's parent collection.
  | name | The name by which the action will be retrieved again from the collection.

Since:
  4.4

KAction standardAction | ( | QString | what,
|  | QObject | receiver,
|  | QString | slot,
|  | KActionCollection | parent,
|  | QString | name=0
| ) |  |  |

Standard action for the Hot New Stuff Download

This action can be used to add KNewStuff support to menus and toolbars.

Parameters:

  | what | text describing what is being downloaded. For consistency, set it to "Get New Foobar...". Examples: "Get New Wallpapers...", "Get New Emoticons..."
  | receiver | the QObject to connect the triggered(bool) signal to.
  | slot | the slot to connect the triggered(bool) signal to.
  | parent | the action's parent collection.
  | name | The name by which the action will be retrieved again from the collection.

Since:
  4.4

KAction standardActionUpload | ( | QString | what,
|  | SIP_RXOBJ_CON | a1,
|  | SIP_SLOT_CON () | a2,
|  | KActionCollection | parent,
|  | QString | name=0
| ) |  |  |

Standard action for Uploading files with Hot New Stuff

This action can be used to add KNewStuff support to menus and toolbars.

Parameters:

  | what | text describing what is being downloaded. For consistency, set it to "Upload Current Foobar...". Examples: "Upload Current Wallpaper...", "Upload Current Document..."
  | receiver | the QObject to connect the triggered(bool) signal to.
  | slot | the slot to connect the triggered(bool) signal to.
  | parent | the action's parent collection.
  | name | The name by which the action will be retrieved again from the collection.

Since:
  4.5

KAction standardActionUpload | ( | QString | what,
|  | QObject | receiver,
|  | QString | slot,
|  | KActionCollection | parent,
|  | QString | name=0
| ) |  |  |

Standard action for Uploading files with Hot New Stuff

This action can be used to add KNewStuff support to menus and toolbars.

Parameters:

  | what | text describing what is being downloaded. For consistency, set it to "Upload Current Foobar...". Examples: "Upload Current Wallpaper...", "Upload Current Document..."
  | receiver | the QObject to connect the triggered(bool) signal to.
  | slot | the slot to connect the triggered(bool) signal to.
  | parent | the action's parent collection.
  | name | The name by which the action will be retrieved again from the collection.

Since:
  4.5